## Apache Zeta Components Manual :: Docs For Class ezcImageThumbnailFilters

### ImageConversion::ezcImageThumbnailFilters

### Interface ezcImageThumbnailFilters

This interface has to implemented by ezcImageFilters classes to support thumbnail filters.

Source for this file: /ImageConversion/src/interfaces/thumbnail.php

Version: | //autogentag//

### Method Summary

public void | `croppedThumbnail( $width , $height )` Creates a thumbnail, and crops parts of the given image to fit the range best.
public void | `filledThumbnail( $width , $height , [ $color = array()] )` Creates a thumbnail, and fills up the image to fit the given range.

### Methods

#### croppedThumbnail

void croppedThumbnail( int $width , int $height )

Creates a thumbnail, and crops parts of the given image to fit the range best.

This filter creates a thumbnail of the given image. The image is scaled down, keeping the original ratio and keeping the image larger as the given range, if necessary. Overhead for the target range is cropped from both sides equally.

If you are looking for a filter that just resizes your image to thumbnail size, you should consider the ezcImageGeometryFilters::scale() filter.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$width` | int | Width of the thumbnail.
`$height` | int | Height of the thumbnail.

#### filledThumbnail

void filledThumbnail( int $width , int $height , [array $color = array()] )

Creates a thumbnail, and fills up the image to fit the given range.

This filter creates a thumbnail of the given image. The image is scaled down, keeping the original ratio and scaling the image smaller as the given range, if necessary. Overhead for the target range is filled with the given color on both sides equally.

The color is defined by the following array format (integer values 0-255):

1. array(
2. 0=> <red value>,
3. 1=> <green value>,
4. 2=> <blue value>,
5. );

If you are looking for a filter that just resizes your image to thumbnail size, you should consider the ezcImageGeometryFilters::scale() filter.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$width` | int | Width of the thumbnail.
`$height` | int | Height of the thumbnail.
`$color` | array | Fill color.

Documentation generated by phpDocumentor 1.4.3